Bug 838536 - Internal USB hub is not working but card reader yes!!!
Internal USB hub is not working but card reader yes!!!
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 08:05 EDT by antonio montagnani
Modified: 2013-12-18 05:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 05:07:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages when connecting some USB device on the hub (8.57 KB, text/plain)
2012-07-09 08:07 EDT, antonio montagnani
no flags Details

  None (edit)
Description antonio montagnani 2012-07-09 08:05:10 EDT
Description of problem:
An internal USB hub (that has also card slots) doens't work, but can read cards

Version-Release number of selected component (if applicable):
Linux Acer5720 3.4.4-5.fc17.i686.PAE

How reproducible:
always

Steps to Reproduce:
1.insert any USB device
2.
3.
  
Actual results:
no USB device is available

Expected results:
USB devices should be available

Additional info:


lsusb
>>> Bus 001 Device 010: ID 045e:0728 Microsoft Corp.
>>> Bus 001 Device 003: ID 1a40:0101 TERMINUS TECHNOLOGY INC. USB-2.0
> 4-Port HUB
>>> Bus 004 Device 002: ID 04e8:3268 Samsung Electronics Co., Ltd
> ML-1610 Mono Laser Printer
>>> Bus 005 Device 002: ID 058f:6366 Alcor Micro Corp. Multi Flash Reader
>>> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>>> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>>> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>>> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>>> Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>>> Bus 001 Device 000: ID 059f:0651 LaCie, Ltd

TERMINUS TECHNOLOGY is the 4-port hub, and Alcor Micro Corp is the Multi Flash reader

Bus 001 Device 004: ID 1a40:0101 TERMINUS TECHNOLOGY INC. USB-2.0 4-Port HUB
Device Descriptor:
   bLength                18
   bDescriptorType         1
   bcdUSB               2.00
   bDeviceClass            9 Hub
   bDeviceSubClass         0 Unused
   bDeviceProtocol         1 Single TT
   bMaxPacketSize0        64
   idVendor           0x1a40 TERMINUS TECHNOLOGY INC.
   idProduct          0x0101 USB-2.0 4-Port HUB
   bcdDevice            1.11
   iManufacturer           0
   iProduct                1
   iSerial                 0
   bNumConfigurations      1
   Configuration Descriptor:
     bLength                 9
     bDescriptorType         2
     wTotalLength           25
     bNumInterfaces          1
     bConfigurationValue     1
     iConfiguration          0
     bmAttributes         0xe0
       Self Powered
       Remote Wakeup
     MaxPower              100mA
     Interface Descriptor:
       bLength                 9
       bDescriptorType         4
       bInterfaceNumber        0
       bAlternateSetting       0
       bNumEndpoints           1
       bInterfaceClass         9 Hub
       bInterfaceSubClass      0 Unused
       bInterfaceProtocol      0 Full speed (or root) hub
       iInterface              0
       Endpoint Descriptor:
         bLength                 7
         bDescriptorType         5
         bEndpointAddress     0x81  EP 1 IN
         bmAttributes            3
           Transfer Type            Interrupt
           Synch Type               None
           Usage Type               Data
         wMaxPacketSize     0x0001  1x 1 bytes
         bInterval              12

Bus 005 Device 002: ID 058f:6366 Alcor Micro Corp. Multi Flash Reader
Device Descriptor:
   bLength                18
   bDescriptorType         1
   bcdUSB               2.00
   bDeviceClass            0 (Defined at Interface level)
   bDeviceSubClass         0
   bDeviceProtocol         0
   bMaxPacketSize0        64
   idVendor           0x058f Alcor Micro Corp.
   idProduct          0x6366 Multi Flash Reader
   bcdDevice            1.00
   iManufacturer           1
   iProduct                2
   iSerial                 3
   bNumConfigurations      1
   Configuration Descriptor:
     bLength                 9
     bDescriptorType         2
     wTotalLength           32
     bNumInterfaces          1
     bConfigurationValue     1
     iConfiguration          0
     bmAttributes         0x80
       (Bus Powered)
     MaxPower              100mA
     Interface Descriptor:
       bLength                 9
       bDescriptorType         4
       bInterfaceNumber        0
       bAlternateSetting       0
       bNumEndpoints           2
       bInterfaceClass         8 Mass Storage
       bInterfaceSubClass      6 SCSI
       bInterfaceProtocol     80 Bulk (Zip)
       iInterface              0
       Endpoint Descriptor:
         bLength                 7
         bDescriptorType         5
         bEndpointAddress     0x01  EP 1 OUT
         bmAttributes            2
           Transfer Type            Bulk
           Synch Type               None
           Usage Type               Data
         wMaxPacketSize     0x0040  1x 64 bytes
         bInterval               0
       Endpoint Descriptor:
         bLength                 7
         bDescriptorType         5
         bEndpointAddress     0x82  EP 2 IN
         bmAttributes            2
           Transfer Type            Bulk
           Synch Type               None
           Usage Type               Data
         wMaxPacketSize     0x0040  1x 64 bytes
         bInterval               0
Lacie is an external USB drive, but other drives or USB sticks are not listed when connected.
Please see attached file for messages when connecting a stick...(same stick is mounted when connected to a standard USB port on same computer.
Not sure of the component to be checked (udev??)
Comment 1 antonio montagnani 2012-07-09 08:07:22 EDT
Created attachment 597057 [details]
messages when connecting some USB device on the hub

this is the output when connecting an USB stick (same stick is detected and mounted on the same computer on a standard USB port)
Comment 2 Justin M. Forbes 2012-12-07 12:06:57 EST
Is this better with the 3.6.9 kernels?
Comment 3 antonio montagnani 2012-12-14 10:56:44 EST
no....same results with latest kernel 3.6.9-2.fc17.i686.PAE

any additional test that I can carry???
Comment 4 antonio montagnani 2012-12-14 11:33:35 EST
and I say no improvement also with  3.6.10-2.fc17.i686.PAE kernel from updates-testing
Comment 5 antonio montagnani 2013-01-18 16:01:17 EST
no improvement also in F18!!! with latest kernel
Comment 6 antonio montagnani 2013-03-12 13:00:28 EDT
3.8.2-206.fc18.i686.PAE kernel makes it work: both sd cards and USB devices are recognized.
Waiting before closing...but hopefully in a few days I will come back and close
Comment 7 antonio montagnani 2013-03-13 06:08:35 EDT
no, it works very partially.

I made a test with more than one USB stick and when the second stick is inserted, also the first one that was mounted, is unmounted and I cannot enter in neither sticks. I have to terminate session, remove sticks and insert only one.

What can I do to help to debug???
Comment 8 antonio montagnani 2013-03-13 08:13:59 EDT
when I attach an external USB disk I get from DMESG but it is not mounted, even if I see an Icon in the Computer window (no name atatched..). Problem has not been solved IMHO. Some sticks are mounted, some not


[   54.209113] SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
[   54.234293] SELinux: initialized (dev fusectl, type fusectl), uses genfs_contexts
[   70.346176] usb 1-7.4: new high-speed USB device number 10 using ehci-pci
[   70.436529] usb 1-7.4: New USB device found, idVendor=0dc4, idProduct=00d5
[   70.436540] usb 1-7.4: New USB device strings: Mfr=10, Product=11, SerialNumber=5
[   70.436547] usb 1-7.4: Product: Store & Play 3500
[   70.436553] usb 1-7.4: Manufacturer: Packard Bell
[   70.436558] usb 1-7.4: SerialNumber: 50820A222222
[   70.451721] scsi3 : usb-storage 1-7.4:1.0
[   71.453227] scsi 3:0:0:0: Direct-Access     ST325082 0A                    PQ: 0 ANSI: 2 CCS
[   71.456868] sd 3:0:0:0: Attached scsi generic sg3 type 0
[   71.458245] sd 3:0:0:0: [sdc] 488397168 512-byte logical blocks: (250 GB/232 GiB)
[   71.459106] sd 3:0:0:0: [sdc] Write Protect is off
[   71.459115] sd 3:0:0:0: [sdc] Mode Sense: 00 38 00 00
[   71.460855] sd 3:0:0:0: [sdc] Asking for cache data failed
[   71.460865] sd 3:0:0:0: [sdc] Assuming drive cache: write through
[   71.465384] sd 3:0:0:0: [sdc] Asking for cache data failed
[   71.465397] sd 3:0:0:0: [sdc] Assuming drive cache: write through
[   71.542181] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   71.713148] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   71.883113] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   72.053214] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   72.223171] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   72.393137] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   72.479265] sd 3:0:0:0: [sdc] Unhandled error code
[   72.479271] sd 3:0:0:0: [sdc]  
[   72.479274] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[   72.479277] sd 3:0:0:0: [sdc] CDB: 
[   72.479280] Read(10): 28 00 00 00 00 00 00 00 08 00
[   72.479293] end_request: I/O error, dev sdc, sector 0
[   72.479299] Buffer I/O error on device sdc, logical block 0
[   72.558105] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   72.729075] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   72.899162] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   73.069130] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   73.239098] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   73.409188] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   73.495436] sd 3:0:0:0: [sdc] Unhandled error code
[   73.495442] sd 3:0:0:0: [sdc]  
[   73.495445] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[   73.495448] sd 3:0:0:0: [sdc] CDB: 
[   73.495451] Read(10): 28 00 00 00 00 00 00 00 08 00
[   73.495464] end_request: I/O error, dev sdc, sector 0
[   73.495469] Buffer I/O error on device sdc, logical block 0
[   73.574161] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   73.744130] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   73.914092] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   74.084183] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   74.254151] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   74.424115] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   74.510747] sd 3:0:0:0: [sdc] Unhandled error code
[   74.510755] sd 3:0:0:0: [sdc]  
[   74.510758] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[   74.510761] sd 3:0:0:0: [sdc] CDB: 
[   74.510763] Read(10): 28 00 00 00 00 00 00 00 08 00
[   74.510777] end_request: I/O error, dev sdc, sector 0
[   74.510783] Buffer I/O error on device sdc, logical block 0
[   74.590085] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   74.760176] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   74.930143] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   75.100109] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   75.270077] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   75.440168] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   75.526292] sd 3:0:0:0: [sdc] Unhandled error code
[   75.526298] sd 3:0:0:0: [sdc]  
[   75.526301] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[   75.526305] sd 3:0:0:0: [sdc] CDB: 
[   75.526307] Read(10): 28 00 00 00 00 00 00 00 08 00
[   75.526320] end_request: I/O error, dev sdc, sector 0
[   75.526326] Buffer I/O error on device sdc, logical block 0
[   75.605136] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   75.775104] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   75.945196] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   76.115160] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   76.285128] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   76.455095] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   76.542093] sd 3:0:0:0: [sdc] Unhandled error code
[   76.542099] sd 3:0:0:0: [sdc]  
[   76.542102] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[   76.542105] sd 3:0:0:0: [sdc] CDB: 
[   76.542108] Read(10): 28 00 00 00 00 00 00 00 08 00
[   76.542121] end_request: I/O error, dev sdc, sector 0
[   76.542127] Buffer I/O error on device sdc, logical block 0
[   76.621188] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   76.792153] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   76.962123] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   77.132088] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   77.302180] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   77.473147] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   77.559646] sd 3:0:0:0: [sdc] Unhandled error code
[   77.559652] sd 3:0:0:0: [sdc]  
[   77.559655] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[   77.559659] sd 3:0:0:0: [sdc] CDB: 
[   77.559661] Read(10): 28 00 00 00 00 00 00 00 08 00
[   77.559674] end_request: I/O error, dev sdc, sector 0
[   77.559680] Buffer I/O error on device sdc, logical block 0
[   77.639114] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   77.809084] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   77.979173] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   78.149140] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   78.319108] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   78.489073] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   78.575570] sd 3:0:0:0: [sdc] Unhandled error code
[   78.575576] sd 3:0:0:0: [sdc]  
[   78.575579] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[   78.575582] sd 3:0:0:0: [sdc] CDB: 
[   78.575584] Read(10): 28 00 00 00 00 00 00 00 08 00
[   78.575598] end_request: I/O error, dev sdc, sector 0
[   78.575603] Buffer I/O error on device sdc, logical block 0
[   78.575635] Dev sdc: unable to read RDB block 0
[   78.653166] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   78.823137] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   78.993101] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   79.164191] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   79.334161] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   79.504125] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   79.591125] sd 3:0:0:0: [sdc] Unhandled error code
[   79.591131] sd 3:0:0:0: [sdc]  
[   79.591133] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[   79.591137] sd 3:0:0:0: [sdc] CDB: 
[   79.591139] Read(10): 28 00 00 00 00 00 00 00 08 00
[   79.591152] end_request: I/O error, dev sdc, sector 0
[   79.591157] Buffer I/O error on device sdc, logical block 0
[   79.670093] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   79.840186] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   80.010152] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   80.181122] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   80.351096] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   80.523190] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[   80.609323] sd 3:0:0:0: [sdc] Unhandled error code
[   80.609333] sd 3:0:0:0: [sdc]  
[   80.609337] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[   80.609340] sd 3:0:0:0: [sdc] CDB: 
[   80.609343] Read(10): 28 00 00 00 00 00 00 00 08 00
[   80.609357] end_request: I/O error, dev sdc, sector 0
[   80.609362] Buffer I/O error on device sdc, logical block 0
[   80.609384]  sdc: unable to read partition table
[  110.825152] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[  120.984077] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[  137.188076] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[  137.358293] usb 1-7.4: device descriptor read/all, error -71
[  137.431151] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[  137.606243] usb 1-7.4: device descriptor read/all, error -71
[  137.679242] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[  137.735843] usb 1-7.4: device descriptor read/all, error -71
[  137.809208] usb 1-7.4: reset high-speed USB device number 10 using ehci-pci
[  137.853320] usb 1-7.4: device descriptor read/8, error -71
[  137.983294] usb 1-7.4: device descriptor read/all, error -71
[  137.983561] sd 3:0:0:0: Device offlined - not ready after error recovery
[  137.983583] sd 3:0:0:0: rejecting I/O to offline device
[  137.983592] sd 3:0:0:0: killing request
[  137.983634] sd 3:0:0:0: rejecting I/O to offline device
[  137.983663] usb 1-7.4: USB disconnect, device number 10
[  137.983673] sd 3:0:0:0: rejecting I/O to offline device
[  137.983685] sd 3:0:0:0: rejecting I/O to offline device
[  137.983695] sd 3:0:0:0: [sdc] READ CAPACITY failed
[  137.983700] sd 3:0:0:0: [sdc]  
[  137.983705] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
[  137.983711] sd 3:0:0:0: [sdc] Sense not available.
[  137.983721] sd 3:0:0:0: rejecting I/O to offline device
[  137.983734] sd 3:0:0:0: rejecting I/O to offline device
[  137.983743] sd 3:0:0:0: [sdc] Asking for cache data failed
[  137.983748] sd 3:0:0:0: [sdc] Assuming drive cache: write through
[  137.983755] sd 3:0:0:0: [sdc] Attached SCSI disk
[  138.062171] usb 1-7.4: new high-speed USB device number 11 using ehci-pci
[  138.147136] usb 1-7.4: device descriptor read/64, error -71
[  138.419339] usb 1-7.4: device descriptor read/all, error -71
[  138.492070] usb 1-7.4: new high-speed USB device number 12 using ehci-pci
[  138.666285] usb 1-7.4: device descriptor read/all, error -71
[  138.739159] usb 1-7.4: new high-speed USB device number 13 using ehci-pci
[  138.772268] usb 1-7.4: device descriptor read/8, error -71
Comment 9 antonio montagnani 2013-03-13 08:23:24 EDT
and of course it is not selinux thew culprit, as I made a test in permissive mode
Comment 10 antonio montagnani 2013-03-13 08:25:13 EDT
if I connect an Usb stick that is not mounted....

[ 1032.599119] usb 1-7.4: new high-speed USB device number 20 using ehci-pci
[ 1032.689101] usb 1-7.4: New USB device found, idVendor=13fe, idProduct=1a00
[ 1032.689106] usb 1-7.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1032.689110] usb 1-7.4: Product: USB DISK 2.0    
[ 1032.689114] usb 1-7.4: Manufacturer:         
[ 1032.689117] usb 1-7.4: SerialNumber: 075C1439001C
[ 1032.691432] scsi5 : usb-storage 1-7.4:1.0
[ 1033.692817] scsi 5:0:0:0: Direct-Access              USB DISK 2.0     PMAP PQ: 0 ANSI: 0 CCS
[ 1033.695442] sd 5:0:0:0: Attached scsi generic sg3 type 0
[ 1033.774144] usb 1-7.4: reset high-speed USB device number 20 using ehci-pci
[ 1033.860129] usb 1-7.4: device descriptor read/64, error -71
[ 1034.035091] usb 1-7.4: device descriptor read/64, error -32
[ 1034.209180] usb 1-7.4: reset high-speed USB device number 20 using ehci-pci
[ 1034.283164] usb 1-7.4: device descriptor read/64, error -32
[ 1034.458130] usb 1-7.4: device descriptor read/64, error -32
[ 1034.632100] usb 1-7.4: reset high-speed USB device number 20 using ehci-pci
[ 1035.034077] usb 1-7.4: device not accepting address 20, error -32
[ 1035.107144] usb 1-7.4: reset high-speed USB device number 20 using ehci-pci
[ 1035.509040] usb 1-7.4: device not accepting address 20, error -32
[ 1035.509423] usb 1-7.4: USB disconnect, device number 20
[ 1035.515185] sd 5:0:0:0: [sdc] READ CAPACITY failed
[ 1035.515195] sd 5:0:0:0: [sdc]  
[ 1035.515200] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
[ 1035.515205] sd 5:0:0:0: [sdc] Sense not available.
[ 1035.515235] sd 5:0:0:0: [sdc] Write Protect is off
[ 1035.515242] sd 5:0:0:0: [sdc] Mode Sense: 2e 2e 2f 2e
[ 1035.515271] sd 5:0:0:0: [sdc] No Caching mode page present
[ 1035.515279] sd 5:0:0:0: [sdc] Assuming drive cache: write through
[ 1035.516977] sd 5:0:0:0: [sdc] Attached SCSI removable disk
[ 1035.591163] usb 1-7.4: new high-speed USB device number 21 using ehci-pci
[ 1035.665146] usb 1-7.4: device descriptor read/64, error -32
[ 1035.840122] usb 1-7.4: device descriptor read/64, error -32
[ 1036.014203] usb 1-7.4: new high-speed USB device number 22 using ehci-pci
[ 1036.088185] usb 1-7.4: device descriptor read/64, error -32
[ 1036.263155] usb 1-7.4: device descriptor read/64, error -32
[ 1036.437120] usb 1-7.4: new high-speed USB device number 23 using ehci-pci
[ 1036.839046] usb 1-7.4: device not accepting address 23, error -32
[ 1036.912152] usb 1-7.4: new high-speed USB device number 24 using ehci-pci
[ 1037.314046] usb 1-7.4: device not accepting address 24, error -32
[ 1037.314203] hub 1-7:1.0: unable to enumerate USB device on port 4
Comment 11 antonio montagnani 2013-03-13 08:29:17 EDT
when I connect a TDK usb stick I get, but even if I get some warnings/errors, stick is mounted:


[ 1151.345094] usb 1-7.4: new high-speed USB device number 25 using ehci-pci
[ 1151.442825] usb 1-7.4: New USB device found, idVendor=1d0d, idProduct=0211
[ 1151.442831] usb 1-7.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1151.442834] usb 1-7.4: Product: Trans-It Drive
[ 1151.442838] usb 1-7.4: Manufacturer: TDKMedia
[ 1151.442841] usb 1-7.4: SerialNumber: 0791161527CF
[ 1151.445313] scsi6 : usb-storage 1-7.4:1.0
[ 1152.449789] scsi 6:0:0:0: Direct-Access     TDKMedia Trans-It Drive   PMAP PQ: 0 ANSI: 0 CCS
[ 1152.451584] sd 6:0:0:0: Attached scsi generic sg3 type 0
[ 1152.529118] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1152.614099] usb 1-7.4: device descriptor read/64, error -71
[ 1152.800186] usb 1-7.4: device descriptor read/64, error -71
[ 1152.974155] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1153.072155] sd 6:0:0:0: [sdc] 3891200 512-byte logical blocks: (1.99 GB/1.85 GiB)
[ 1153.072642] sd 6:0:0:0: [sdc] Write Protect is off
[ 1153.072647] sd 6:0:0:0: [sdc] Mode Sense: 23 00 00 00
[ 1153.073317] sd 6:0:0:0: [sdc] No Caching mode page present
[ 1153.073324] sd 6:0:0:0: [sdc] Assuming drive cache: write through
[ 1153.076776] sd 6:0:0:0: [sdc] No Caching mode page present
[ 1153.076784] sd 6:0:0:0: [sdc] Assuming drive cache: write through
[ 1153.078575]  sdc: sdc1
[ 1153.080899] sd 6:0:0:0: [sdc] No Caching mode page present
[ 1153.080906] sd 6:0:0:0: [sdc] Assuming drive cache: write through
[ 1153.080911] sd 6:0:0:0: [sdc] Attached SCSI removable disk
[ 1153.161117] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1153.246097] usb 1-7.4: device descriptor read/64, error -71
[ 1154.096789] SELinux: initialized (dev sdc1, type vfat), uses genfs_contexts
[ 1154.971152] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1155.062563] sd 6:0:0:0: [sdc] Unhandled error code
[ 1155.062572] sd 6:0:0:0: [sdc]  
[ 1155.062577] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[ 1155.062582] sd 6:0:0:0: [sdc] CDB: 
[ 1155.062585] Read(10): 28 00 00 00 1f a3 00 00 f0 00
[ 1155.062604] end_request: I/O error, dev sdc, sector 8099
[ 1155.142118] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1155.322209] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1155.500168] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1155.675140] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1155.850098] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1156.027185] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1156.117716] sd 6:0:0:0: [sdc] Unhandled error code
[ 1156.117723] sd 6:0:0:0: [sdc]  
[ 1156.117726] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[ 1156.117729] sd 6:0:0:0: [sdc] CDB: 
[ 1156.117731] Read(10): 28 00 00 00 1f a4 00 00 ef 00
[ 1156.117747] end_request: I/O error, dev sdc, sector 8100
[ 1156.467099] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1156.557882] sd 6:0:0:0: [sdc] Unhandled error code
[ 1156.557889] sd 6:0:0:0: [sdc]  
[ 1156.557892] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[ 1156.557895] sd 6:0:0:0: [sdc] CDB: 
[ 1156.557897] Read(10): 28 00 00 00 22 a2 00 00 f0 00
[ 1156.557911] end_request: I/O error, dev sdc, sector 8866
[ 1156.643186] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1156.826164] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1157.008120] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1157.191082] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1157.373170] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1157.562132] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1157.652917] sd 6:0:0:0: [sdc] Unhandled error code
[ 1157.652923] sd 6:0:0:0: [sdc]  
[ 1157.652926] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[ 1157.652929] sd 6:0:0:0: [sdc] CDB: 
[ 1157.652932] Read(10): 28 00 00 00 22 a3 00 00 ef 00
[ 1157.652948] end_request: I/O error, dev sdc, sector 8867
[ 1158.318114] usb 1-7.4: reset high-speed USB device number 25 using ehci-pci
[ 1158.409018] sd 6:0:0:0: [sdc] Unhandled error code
[ 1158.409024] sd 6:0:0:0: [sdc]  
[ 1158.409028] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[ 1158.409031] sd 6:0:0:0: [sdc] CDB: 
[ 1158.409033] Read(10): 28 00 00 00 2d c6 00 00 aa 00
[ 1158.409047] end_request: I/O error, dev sdc, sector 11718
Comment 12 antonio montagnani 2013-03-13 08:37:24 EDT
when I insert a Cruzer Micro usb stick, not mounted:


[ 1658.846187] usb 1-7.3: new high-speed USB device number 32 using ehci-pci
[ 1658.932787] usb 1-7.3: New USB device found, idVendor=0781, idProduct=5406
[ 1658.932794] usb 1-7.3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1658.932798] usb 1-7.3: Product: U3 Cruzer Micro
[ 1658.932801] usb 1-7.3: Manufacturer: SanDisk
[ 1658.932805] usb 1-7.3: SerialNumber: 431733113082C272
[ 1658.936224] scsi9 : usb-storage 1-7.3:1.0
[ 1659.938757] scsi 9:0:0:0: Direct-Access     SanDisk  Cruzer           8.01 PQ: 0 ANSI: 0 CCS
[ 1659.940474] sd 9:0:0:0: Attached scsi generic sg3 type 0
[ 1659.943493] sd 9:0:0:0: [sdc] 15731711 512-byte logical blocks: (8.05 GB/7.50 GiB)
[ 1659.944047] sd 9:0:0:0: [sdc] Write Protect is off
[ 1659.944056] sd 9:0:0:0: [sdc] Mode Sense: 45 00 00 08
[ 1659.944619] sd 9:0:0:0: [sdc] No Caching mode page present
[ 1659.944626] sd 9:0:0:0: [sdc] Assuming drive cache: write through
[ 1659.947573] sd 9:0:0:0: [sdc] No Caching mode page present
[ 1659.947587] sd 9:0:0:0: [sdc] Assuming drive cache: write through
[ 1659.952543]  sdc: sdc1
[ 1659.955123] sd 9:0:0:0: [sdc] No Caching mode page present
[ 1659.955133] sd 9:0:0:0: [sdc] Assuming drive cache: write through
[ 1659.955141] sd 9:0:0:0: [sdc] Attached SCSI removable disk
[ 1660.523566] SELinux: initialized (dev sdc1, type vfat), uses genfs_contexts
[ 1662.058184] usb 1-7.3: reset high-speed USB device number 32 using ehci-pci
[ 1662.143166] usb 1-7.3: device descriptor read/64, error -71
[ 1662.329132] usb 1-7.3: device descriptor read/64, error -71
[ 1662.503098] usb 1-7.3: reset high-speed USB device number 32 using ehci-pci
[ 1662.588079] usb 1-7.3: device descriptor read/64, error -71
[ 1662.774172] usb 1-7.3: device descriptor read/64, error -71
[ 1662.948137] usb 1-7.3: reset high-speed USB device number 32 using ehci-pci
[ 1667.960164] usb 1-7.3: device descriptor read/8, error -110
[ 1673.072171] usb 1-7.3: device descriptor read/8, error -110
[ 1673.246132] usb 1-7.3: reset high-speed USB device number 32 using ehci-pci
Comment 13 Justin M. Forbes 2013-10-18 17:03:04 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 14 antonio montagnani 2013-12-18 05:07:46 EST
machine has been reverted to different op, but I assume that card was not properly working, as soon as I detached it, a lot of warning on usb ports disappeared. It can be closed

Note You need to log in before you can comment on or make changes to this bug.